/*
 * Copyright © 2004-2023 L2J DataPack
 * 
 * This file is part of L2J DataPack.
 * 
 * L2J DataPack is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * L2J DataPack is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
package com.l2jserver.datapack.custom.service.teleporter.model.entity;

import com.l2jserver.datapack.custom.service.base.model.entity.CustomServiceProduct;
import com.l2jserver.datapack.custom.service.teleporter.model.TeleporterConfig;

/**
 * Solo teleport.
 * @author HorridoJoho
 * @version 2.6.2.0
 */
public class SoloTeleport extends CustomServiceProduct {
	private String name;
	private int x;
	private int y;
	private int z;
	private int heading;
	private int randomOffset;
	private String instance;
	
	public SoloTeleport() {
	}
	
	public void afterDeserialize(TeleporterConfig config) {
		super.afterDeserialize();
		
		getPlaceholder().addChild("name", name);
	}
	
	public String getName() {
		return name;
	}
	
	public int getRandomOffset() {
		return randomOffset;
	}
	
	public int getHeading() {
		return heading;
	}
	
	public String getInstance() {
		return instance;
	}
	
	public int getZ() {
		return z;
	}
	
	public int getY() {
		return y;
	}
	
	public int getX() {
		return x;
	}
}
